Subject: [PATCH] Ensure emacs-pgtk does not get stuck after iconify-frame

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Tue, 11 Oct 2022 06:11:55 +0530

steps to reproduce
1. configure emacs to use pgtk
2. emacs -Q
3. C-z or M-x iconify-frame
4. Restore emacs by clicking on its icon
Emacs does not display characters any more.

I believe this bug is similar to bug#42655 except this time it is for pgtk
and not lucid.

I believe I have fixed this problem and will attach a patch in the next
mail, but the thing is I have no idea how I fixed it so please check for
any unintended consequences.

Thanks